Page MenuHomePhabricator

[mips] Eliminate the usage of hasStdEnc in MipsPat.
ClosedPublic

Authored by atanasyan on Jun 20 2018, 6:48 AM.

Details

Summary

Instead, the pattern is tagged with the correct predicate when it is declared.

Some patterns have been duplicated as necessary.

Diff Detail

Repository
rL LLVM

Event Timeline

sdardis created this revision.Jun 20 2018, 6:48 AM

There appear to be a couple of test failures for this patch, at least on my end.
I am at r335143.

atanasyan commandeered this revision.Jul 14 2018, 1:31 AM
atanasyan edited reviewers, added: sdardis; removed: atanasyan.
atanasyan updated this revision to Diff 155555.Jul 14 2018, 1:35 AM
atanasyan removed a reviewer: sdardis.

The test case changes have been committed at rL337004.

There appear to be a couple of test failures for this patch, at least on my end.
I am at r335143.

Could you please check it again?

smaksimovic accepted this revision.Jul 16 2018, 2:03 AM

Looks good, no failures this time.

This revision is now accepted and ready to land.Jul 16 2018, 2:03 AM
This revision was automatically updated to reflect the committed changes.